org.apache.flume.channel.file

## Class LogRecord

- java.lang.Object
- - org.apache.flume.channel.file.LogRecord

- All Implemented Interfaces:
    Comparable<LogRecord>

      public class LogRecord
      extends Object
      implements Comparable<LogRecord>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LogRecord(int fileID, int offset, TransactionEventRecord event)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(LogRecord o)`
    `TransactionEventRecord` | `getEvent()`
    `int` | `getFileID()`
    `int` | `getOffset()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LogRecord

          public LogRecord(int fileID,
                   int offset,
                   TransactionEventRecord event)

  - ### Method Detail

    - #### getFileID

          public int getFileID()

    - #### getOffset

          public int getOffset()

    - #### getEvent

          public TransactionEventRecord getEvent()

    - #### compareTo

          public int compareTo(LogRecord o)

      Specified by:
        `compareTo` in interface `Comparable<LogRecord>`

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.